KAC 5.15 issue

Post your support questions here. Please search before asking a question.
Post Reply
TeachrCreature
Posts: 2
Joined: Sun Jan 03, 2010 11:12 pm

KAC 5.15 issue

Post by TeachrCreature » Sun Jan 03, 2010 11:28 pm

I run a popular WCS mod server with many custom skins that players download. The server has sv_pure 0 and sv_consistency 0 and we combat hackers with VAC + KAC + some custom scripts.

Well today I added a LARGE custom serversided player skin (6mb) and forced everyoen to download it. Well all of a sudden KAC is throwing sv_consistency set to 1 bans and it banned a few dozen people for downloading the skin I had them download.

Any suggestions besides just removing the skin? We run KAC 1.9 no socket

Do I need to go crazy with the Whtielist and add all my custom crap. (there is a lot of it)

Any help woudl eb appreciated.

User avatar
nightrider
Community Moderator
Posts: 878
Joined: Thu Oct 08, 2009 2:38 am
Location: under a rock

Re: KAC 5.15 issue

Post by nightrider » Mon Jan 04, 2010 1:17 am

First off I would recommend upgrading to the KAC 1.2.0 Open Beta
Listed at the link below
viewtopic.php?f=4&t=231#p967


Requirements

This version requires Sockets. The latest debug build from sfPlayer.
http://forums.alliedmods.net/showthread.php?t=67640
Please download Sockets 3.0.0 Alpha or later versions! KAC 1.2.0 will NOT work correctly with earlier versions of Sockets!


I run six custom admin skins on my servers.
We also have sv_pure 1 with a white list.

I can't really make any recommendations on WCS server setup,
as I have no experience with that MOD.

TeachrCreature
Posts: 2
Joined: Sun Jan 03, 2010 11:12 pm

Re: KAC 5.15 issue

Post by TeachrCreature » Wed Jan 06, 2010 2:20 pm

Well actually we run 125 custom skins along with some custom maps and sounds

I solved the problem by Whitelisting the entire material model player sections.

I havent used 1.2 because we dont use sockets.

Our server is as custom as some GMOD servers and we already get buffer overflows form too many addons so I was afraid to run sockets at all.
Is there a 1.2 no socket version?

Thanks
TC

User avatar
nightrider
Community Moderator
Posts: 878
Joined: Thu Oct 08, 2009 2:38 am
Location: under a rock

Re: KAC 5.15 issue

Post by nightrider » Wed Jan 06, 2010 2:36 pm

Glad it worked out ... :)
KAC 1.2.0 and above is sockets 3.0.0 beta and above only!
Support of non socket versions is not available, supported or maintained.

Post Reply

Who is online

Users browsing this forum: No registered users and 3 guests